For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Visit appVisit websiteBook a demo
  • Get Started
    • Welcome
  • Authentication
    • Hirer Service Accounts
  • Concepts
    • Introduction
    • Directory & Contractors
    • Contracts
    • Approvals
    • Timesheeting
    • Checklists
  • Webhooks
    • Portal Access
    • Endpoint Setup
    • Securing Your Endpoints
    • Monitoring, Debugging & Recovery
  • Client API
      • POSTRequest a file upload
      • POSTComplete a file upload
    • Webhook Events
LogoLogo
Visit appVisit websiteBook a demo
Client APIFile Uploads

Request a file upload

POST
https://api.yunojuno.com/file_uploads/
POST
/file_uploads/
$curl -X POST https://api.yunojuno.com/file_uploads/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "purpose": "BULK_PROJECT_UPSERT",
> "filename": "string",
> "mime_type": "string"
>}'
201Created
1{
2 "data": {
3 "api_file_upload_id": "string",
4 "purpose": "string",
5 "filename": "string",
6 "mime_type": "string",
7 "state": "string",
8 "upload_url": "string"
9 }
10}

Request a signed URL to upload a file.

Create a file upload record and obtain a signed URL for direct PUT upload to S3. Different purposes accept different file types (e.g. CSV, XLSX).

Was this page helpful?
Previous

Complete a file upload

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
purposeenumRequired
  • BULK_PROJECT_UPSERT - Bulk Project Upsert
Allowed values:
filenamestringRequired<=255 characters
mime_typestringRequired<=100 characters

Response

dataobject
The API file upload object. This object represents a file that has been uploaded via the Public API. Files can be used for various purposes such as bulk data imports.